List payment methods
curl --request GET \
--url https://developersandbox-api.flutterwave.com/payment-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://developersandbox-api.flutterwave.com/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developersandbox-api.flutterwave.com/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"meta": {
"page_info": {
"total": 123,
"current_page": 123,
"total_pages": 123
}
},
"data": [
{
"id": "pmd_WRq7L4TM8p",
"type": "card",
"card": {
"expiry_month": "09",
"expiry_year": "32",
"first6": "123412",
"last4": "1234",
"network": "MASTERCARD",
"billing_address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
},
"cof": {
"enabled": true,
"agreement_id": "Agreement00w02W1",
"recurring_amount_variability": "VARIABLE",
"agreement_type": "UNSCHEDULED",
"trace_id": "123456789"
},
"card_holder_name": "Alex James"
},
"customer_id": "cus_3XarBILKQS",
"meta": {},
"device_fingerprint": "62wd23423rq324323qew1",
"client_ip": "154.123.220.1",
"created_datetime": "2024-12-03T13:54:21.546559974Z"
}
]
}{
"status": "failed",
"error": {
"type": "REQUEST_NOT_VALID",
"code": "10400",
"message": "Request is not valid",
"validation_errors": [
{
"field_name": "amount",
"message": "must not be null"
}
]
}
}{
"status": "failed",
"message": "UNAUTHORIZED",
"error": {
"type": "UNAUTHORIZED",
"code": "10401",
"message": "unauthorized"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "FORBIDDEN",
"code": "10403",
"message": "Forbidden"
}
}Payment Methods
List payment methods
GET
/
payment-methods
List payment methods
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
Required string length:
12 - 255Query Parameters
The page of the data to retrieve. The most recent data entry is on page 1.
Required range:
x >= 1Length of data returned. Defaults to 10.
Required range:
10 <= x <= 50Was this page helpful?
⌘I